#!/bin/bash

apt-get update
apt-get -y install git

base_dir=$(pwd)

echo "Cloning Tasmota"

git clone https://github.com/arendst/Tasmota.git /tasmota

cd /tasmota

if [ -z "$TASMOTA_VERSION" ]; then
  TASMOTA_VERSION=$(wget -qO - https://api.github.com/repos/arendst/Tasmota/releases/latest | grep -oP 'tag_name"\s*:\s*"\K[^"]+')
fi

echo "Checking out version $TASMOTA_VERSION"

git checkout $TASMOTA_VERSION

echo "Setting up config override"
rm -f /tasmota/tasmota/user_config_override.h
cp $base_dir/user_config_override.h /tasmota/tasmota/user_config_override.h

echo "Building using PlatformIO"
pio run -e tasmota